Package org.globus.ftp.dc

# Class StripeContextManager

java.lang.Object
org.globus.ftp.dc.StripeContextManager

public class StripeContextManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.globus.ftp.dc.StripeContextManager.StripeTransferContext[]`
`contextList`
`protected Object`
`contextQuitToken`
`protected int`
`stripeQuitTokens`
`protected int`
`stripes`

## Constructor Summary

Constructors
Constructor
Description
`StripeContextManager(int stripes, SocketPool pool, GridFTPServerFacade facade)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getQuitToken()`
`EBlockParallelTransferContext`
`getStripeContext(int stripe)`
`int`
`getStripes()`
return number of stripes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stripes

protected int stripes

### contextList

protected org.globus.ftp.dc.StripeContextManager.StripeTransferContext[] contextList

### stripeQuitTokens

protected int stripeQuitTokens

### contextQuitToken

protected Object contextQuitToken

## Constructor Details

### StripeContextManager

public StripeContextManager(int stripes, SocketPool pool, GridFTPServerFacade facade)

## Method Details

### getStripes

public int getStripes()
return number of stripes

### getStripeContext

public EBlockParallelTransferContext getStripeContext(int stripe)

### getQuitToken

public Object getQuitToken()